#!/bin/bash
. /etc/default/kernel-install-helpers
. /lib/gentoo/functions.sh

KERNELHOME="$(readlink "${MODLIB}/source")"

[ -z "${KERNELHOME}" ] && exit 0
[ -z "${MODLIB}" ] && exit 0

einfo "Adjusting permissions to the kernel sources and modules"
chmod a+rX -R -- "${MODLIB}" "${KERNELHOME}"
eend $?
