#!/bin/bash
. /etc/default/kernel-install-helpers
. /lib/gentoo/functions.sh

[ "${FEATURE_DRACUT_UEFI}" == "true" ] || exit 0

test -x "${DRACUT}"  || exit 0
test -d "${EFIDIR}"  || exit 0

KERNELFILE="${EFIDIR}/vmlinuz-${KERNELVERSION}.efi"

einfo "Building UEFI image with dracut"
${DRACUT} -f --uefi "${KERNELFILE}" "${KERNELVERSION}"
eend $?
