#!/bin/bash
. /etc/default/kernel-install-helpers
. /lib/gentoo/functions.sh

[ "${FEATURE_GRUB}" == "true" ] || exit 0

test -x "${GRUB_MKCONFIG}" || exit 0
test -d "${GRUB_BOOTDIR}"  || exit 0

einfo "Generating grub menu"
"${GRUB_MKCONFIG}" -o "${GRUB_BOOTDIR}"/grub.cfg
eend $?
